[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Update to byobu in stable to fix bug #548717



On 14/10/11 20:05, Alexander Chernyakhovsky wrote:
> I encountered bug #548717 on my Debian Squeeze system that uses kerberos
> authentication and hesiod groups. Unlike the situation described in the
> bug, I could not easily remedy this by deleting the directory -- the
> package was not installable.
> 
> I have corrected this by backporting better chmod semantics, which makes
> this package installable, and tested it.

The minimal patch proposed by Alex is attached.

The maintainer field is changed in this patch as he is taking over
maintainership; Dustin (the current listed maintainer) never expressed
any interest in maintaining the package in Debian.

Thanks,

-- 
Luke Faraone;; Debian & Ubuntu Developer; Sugar Labs, Systems
lfaraone on irc.[freenode,oftc].net -- http://luke.faraone.cc
PGP fprint: 5189 2A7D 16D0 49BB 046B DC77 9732 5DD8 F9FD D506
diff -u byobu-2.80/debian/postinst byobu-2.80/debian/postinst
--- byobu-2.80/debian/postinst
+++ byobu-2.80/debian/postinst
@@ -17,14 +17,16 @@
 [ -e "/usr/bin/screen.real" ] && [ ! -e "/usr/bin/screen" ] && cp -a /usr/bin/screen.real /usr/bin/screen
 
 # Notify users that they should reload their profile
+touch_flag() {
+	touch "$1"
+	chown --reference $(dirname "$1") "$1" || true
+	chmod 700 "$1"
+}
 DIR="/var/run/screen"
 if [ -d "$DIR" ]; then
-	for d in "$DIR"/*; do
+	for d in "$DIR"/S-*; do
 		[ -d "$d" ] || continue
-		touch "$d/$PKG.reload-required"
-		u=$(echo "$d" | sed "s:^.*/S-::")
-		chown $u "$d/$PKG.reload-required"
-		chmod 700 "$d/$PKG.reload-required"
+		touch_flag "$d/$PKG.reload-required"
 	done
 fi
 
diff -u byobu-2.80/debian/control byobu-2.80/debian/control
--- byobu-2.80/debian/control
+++ byobu-2.80/debian/control
@@ -1,7 +1,7 @@
 Source: byobu
 Section: misc
 Priority: optional
-Maintainer: Dustin Kirkland <kirkland@ubuntu.com>
+Maintainer: Alexander Chernyakhovsky <achernya@mit.edu>
 Standards-Version: 3.8.3
 Build-Depends: debhelper (>= 6), gettext-base
 Homepage: http://launchpad.net/byobu
diff -u byobu-2.80/debian/changelog byobu-2.80/debian/changelog
--- byobu-2.80/debian/changelog
+++ byobu-2.80/debian/changelog
@@ -1,3 +1,9 @@
+byobu (2.80-2) unstable; urgency=low
+
+  * Correct postinst chmod semantics.
+
+ -- Alexander Chernyakhovsky <achernya@mit.edu>  Sun, 02 Oct 2011 14:45:34 -0400
+
 byobu (2.80-1) unstable; urgency=low
 
   * Upload to Debian unstable.

Attachment: signature.asc
Description: OpenPGP digital signature


Reply to: